# Instalacja VCS
- Pobrać ze strony *.exe [link](https://code.visualstudio.com/)
- Zainstalować , uruchomić
- Doinstalować dodatek Remote SSH
![Instalacja  VSC](lab00/img/vscS.gif "Instalacja VSC")

- Połączenie SSH z płytką prototypową (DevKitNUC)
  - Ustalić IP devKit (ip i user są na stronie podanej przez prowadzącego w zakładce "stanowiska")
  - Uruchamiamy VSC
  - Ctr+Shift+P "Remote-SSH: Connect to host"
  - Po połączeniu w lewym dolnym rogu wyświetli sie adres IP
  -  Uruchomić terminal (Terminal->New Terminal lub skrót Ctr+`)
  -  Otworzyć drzewo katalogów w VCS (z lewej panel Explorer, skrót Ctr+Shift+E)

# Utworzenie użytkownika, katalogu i repozytorium na git.pg.edu.pl 
- Tworzenie nowego katalogu/pliku na DevKitNUC:
  - W terminalu: 
  ```bash 
  cd <sciezka_do_katalogu_nadrzednego>
  mkdir <nazwa_katalogu>
  cd <nazwa_katalogu>
  touch <nazwa_pliku>
  ```
  - Lub w VCS: W Panelu Explorera -> New folder/New file 

![Tworzenie katalogu i pliku](img/createDirTerminal.gif "Tworzenie katalogu i pliku")

# Utworzenie/aktywacja konta na git.pg.edu.pl: 
- Aktywacja konta na [git.pg.gda.pl](https://git.pg.edu.pl/users/sign_in)
  - Pierwsze logowanie za pomocą "Logowanie PG"
![Aktywacja konta na git.pg.gda.pl](lab00/img/pierwszeLogowanieGIT.png "Aktywacja konta na git.pg.gda.pl")
  - Zmienić hasło dostępu przez HTTPS (Settings->Password)
![Aktywacja konta na git.pg.gda.pl](lab00/img/gitPassword.gif "Aktywacja konta na git.pg.gda.pl")
  - Utworzyć projekt dla lab. ZTB
![Tworzenie nowego repozytorium na git.pg.gda.pl](lab00/img/gitCreateRepo.gif "Tworzenie nowego repozytorium na git.pg.gda.pl")

- Import repozytorium git na DevKitNUC:
  - W terminalu: 
```bash 
cd <sciezka_do_katalogu_nadrzednego>
git clone <adres repozytorium>
```
![Klonowanie  repo z git.pg.gda.pl](img/gitCloneRepo.gif "Klonowanie  repo z git.pg.gda.pl")